ByteArrayOutputStream Class Reference

OutputStream implemented on top of std::vector. More...

Inheritance diagram for ByteArrayOutputStream:

## Public Member Functions

| ByteArrayOutputStream ()
virtual | ~ByteArrayOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)
ByteList | toByteArray () const
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from OutputStream
| OutputStream ()
virtual | ~OutputStream ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

OutputStream implemented on top of std::vector.

## Constructor & Destructor Documentation

ByteArrayOutputStream | ( |  | ) |

virtual ~ByteArrayOutputStream | ( |  | ) |

virtual

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |

virtual

Implements OutputStream.

virtual void flush | ( | Pool & | p | ) |

virtual

Implements OutputStream.

ByteList toByteArray | ( |  | ) | const

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) |  |

virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- bytearrayoutputstream.h